AI Video Style Transfer//
- Run an AI Style Transfer (video) task.
List predefined templates.
Check the status of the AI Style Transfer (video) task.
Run an AI Style Transfer...
AI tasks are asynchronous. Prefer webhook-based completion handling when the feature supports webhooks. Configure your webhook endpoint, verify webhook signatures, and use the received task_id to query the task result after a success or error notification. See the webhook integration guide for setup and verification details.
If webhooks are not supported or cannot be used in your integration, implement polling. After submitting an AI task, poll the status endpoint at regular intervals (e.g., every 10 seconds) until the task status is success or error.
Security
BearerAuthenticationV2
Any of:
ID of the template. List predefined templates first, and use the id of a template.
Example:"good_template_001"
POST
- Run task with src video file url
- Run task with src video file ID
curl -i -X POST \
https://yce-api-01.makeupar.com/s2s/v2.0/task/video-trans \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"template_id": "good_template_001",
"src_file_url": "https://example.com/cat_video.mp4",
"dst_duration": 0
}'Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }